#include <GyverPower.h>

void setup() {
  Serial.begin(9600);
  pinMode(13, OUTPUT);    // шоб мигать
  
  // WDT будит МК ото сна, его таймер не очень точный (с завода) и нуждается в калибровке.
  // Калибровка таймаутов для максимальной точности sleepDelay

  // ====== ВАРИАНТ 1 (ручная калибровка 8 секунд) ======
  Serial.println(power.getMaxTimeout()); // вывести реальный макс. период (выполняется ~8 секунд)
  delay(500);  // задержка для вывода текста
  
  // допустим вывело 8321
  power.calibrate(8321); 			// калибруем по реальному периоду
  // можно жёстко задать результат getMaxTimeout() в скетче (как выше) или пихнуть в EEPROM


  // ====== ВАРИАНТ 2 (автокалибровка 8 секунд) ======
  // автоматически посчитать и откалибровать (выполняется ~8 секунд)
  // каждый раз при запуске скетча
  power.calibrate(power.getMaxTimeout());


  // ====== ВАРИАНТ 3 (быстрая автокалибровка) ======
  power.autoCalibrate(); // автоматическая калибровка ~2 секунды
  // калибрует менее точно, чем вариант с 8-ю секундами. Можно оставить на каждый запуск программы
}

void loop() {
  // пример циклического сна
  power.sleepDelay(1500); // спим ровно 1.5 секунды (мы откалиброваны!)
  digitalWrite(13, !digitalRead(13)); // инвертируем состояние на пине
}
